diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 9327ed5e1c..590312dc2d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16888,14 +17044,14 @@ (define-public rust-env-logger-0.5
     (name "rust-env-logger")
     (version "0.5.13")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "env-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0f0c4i4c65jh8lci0afl5yg74ac0lbnpxcp81chj114zwg9a9c0m"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "env-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0f0c4i4c65jh8lci0afl5yg74ac0lbnpxcp81chj114zwg9a9c0m"))))
     (arguments
      `(#:cargo-inputs
        (("rust-atty" ,rust-atty-0.2)
@@ -16910,14 +17066,14 @@ (define-public rust-env-logger-0.4
     (name "rust-env-logger")
     (version "0.4.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "env-logger" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0nydz2lidsvx9gs0v2zcz68rzqx8in7fzmiprgsrhqh17vkj3prx"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "env-logger" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0nydz2lidsvx9gs0v2zcz68rzqx8in7fzmiprgsrhqh17vkj3prx"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -16964,6 +17120,28 @@ (define-public rust-environment-0.1
 variables.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-envmnt-0.9
+  (package
+    (name "rust-envmnt")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "envmnt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "07jpfvhcy86n69csw5amxgzlpcvg1vzjv4y3vsccdyhj5y3dv5hg"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-fsio" ,rust-fsio-0.3) ("rust-indexmap" ,rust-indexmap-1))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3))))
+    (home-page "http://github.com/sagiegurari/envmnt")
+    (synopsis "Environment variables utility functions.")
+    (description "Environment variables utility functions.")
+    (license license:asl2.0)))
+
 (define-public rust-envmnt-0.6
   (package
     (name "rust-envmnt")
@@ -17010,7 +17188,7 @@ (define-public rust-envy-0.4
     (description
      "This package provides access to typesafe config structs
 deserialized from environment variables.")
-     (license license:expat)))
+    (license license:expat)))
 
 (define-public rust-erased-serde-0.3
   (package
@@ -17045,14 +17223,14 @@ (define-public rust-err-derive-0.2
     (name "rust-err-derive")
     (version "0.2.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "err-derive" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0v6wxrshfpg7mwaxzq8jwxbfiyn7zk5rlm4m8kkrwh7dpf8nrx42"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "err-derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0v6wxrshfpg7mwaxzq8jwxbfiyn7zk5rlm4m8kkrwh7dpf8nrx42"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -17153,14 +17331,14 @@ (define-public rust-error-chain-0.11
     (name "rust-error-chain")
     (version "0.11.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "error-chain" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1wykkr0naizbkwxjwia1rch8xhwvgij9khqvjzs07mrmqifislgz"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "error-chain" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1wykkr0naizbkwxjwia1rch8xhwvgij9khqvjzs07mrmqifislgz"))))
     (arguments
      `(#:tests? #f      ; Not all test files included.
        #:cargo-inputs
@@ -17172,14 +17350,14 @@ (define-public rust-error-chain-0.10
     (name "rust-error-chain")
     (version "0.10.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "error-chain" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1y1gyj9g5c3k1nzkvxrgry8v9k86kcc585mczrm3qz019s35shyr"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "error-chain" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1y1gyj9g5c3k1nzkvxrgry8v9k86kcc585mczrm3qz019s35shyr"))))
     (arguments
      `(#:cargo-inputs
        (("rust-backtrace" ,rust-backtrace-0.3))))))
@@ -17238,14 +17416,14 @@ (define-public rust-escargot-0.5
     (name "rust-escargot")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "escargot" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vd9phbpd6yrnsksn2as8flvq8ykzvck2zlz143xpp42qaz9dkvl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "escargot" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vd9phbpd6yrnsksn2as8flvq8ykzvck2zlz143xpp42qaz9dkvl"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; not all test files included
@@ -17346,9 +17524,9 @@ (define-public rust-expat-sys-2
        (sha256
         (base32
          "1yj5pqynds776ay8wg9mhi3hvna4fv7vf244yr1864r0i5r1k3v5"))
-        (modules '((guix build utils)))
-        (snippet
-         '(begin (delete-file-recursively "expat") #t))))
+       (modules '((guix build utils)))
+       (snippet
+        '(begin (delete-file-recursively "expat") #t))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -17547,13 +17725,13 @@ (define-public rust-fallible-iterator-0.2
     (name "rust-fallible-iterator")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fallible-iterator" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1xq759lsr8gqss7hva42azn3whgrbrs2sd9xpn92c5ickxm1fhs4"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fallible-iterator" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1xq759lsr8gqss7hva42azn3whgrbrs2sd9xpn92c5ickxm1fhs4"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/sfackler/rust-fallible-iterator")
     (synopsis "Fallible iterator traits")
@@ -18001,14 +18179,14 @@ (define-public rust-fern-0.6
     (name "rust-fern")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fern" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0rghkbmpm7ckchd2fr2ifahprc7ll3qs0fbwsspsgj6cy0h4i6lc"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fern" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0rghkbmpm7ckchd2fr2ifahprc7ll3qs0fbwsspsgj6cy0h4i6lc"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -18035,14 +18213,14 @@ (define-public rust-fern-0.5
     (name "rust-fern")
     (version "0.5.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fern" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1anslk0hx9an4ypcaxqff080hgbcxm7ji7d4qf4f6qx1mkav16p6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fern" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1anslk0hx9an4ypcaxqff080hgbcxm7ji7d4qf4f6qx1mkav16p6"))))
     (arguments
      `(#:cargo-inputs
        (("rust-libc" ,rust-libc-0.2)
@@ -18122,13 +18300,13 @@ (define-public rust-filetime-0.2
     (name "rust-filetime")
     (version "0.2.14")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "filetime" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1s71cb7hzkk4ahc5j53w8933gnxv2giyj7v0za5hbbk37ahwyd0x"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "filetime" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1s71cb7hzkk4ahc5j53w8933gnxv2giyj7v0za5hbbk37ahwyd0x"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18155,13 +18333,13 @@ (define-public rust-findshlibs-0.5
     (name "rust-findshlibs")
     (version "0.5.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "findshlibs" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1n2vagn0q5yim32hxkwi1cjgp3yn1dm45p7z8nw6lapywihhs9mi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "findshlibs" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1n2vagn0q5yim32hxkwi1cjgp3yn1dm45p7z8nw6lapywihhs9mi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18181,14 +18359,14 @@ (define-public rust-fixed-1
     (name "rust-fixed")
     (version "1.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixed" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0p0v4jjgbbvp91sl8rkfqb2hldaxbzv89mzwmp8753mlrfqwn185"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixed" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0p0v4jjgbbvp91sl8rkfqb2hldaxbzv89mzwmp8753mlrfqwn185"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18213,13 +18391,13 @@ (define-public rust-fixedbitset-0.2
     (name "rust-fixedbitset")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixedbitset" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kg03p777wc0dajd9pvlcnsyrwa8dhqwf0sd9r4dw0p82rs39arp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixedbitset" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kg03p777wc0dajd9pvlcnsyrwa8dhqwf0sd9r4dw0p82rs39arp"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/petgraph/fixedbitset")
     (synopsis "FixedBitSet is a simple bitset collection")
@@ -18233,13 +18411,13 @@ (define-public rust-fixedbitset-0.1
     (name "rust-fixedbitset")
     (version "0.1.9")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fixedbitset" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0czam11mi80dbyhf4rd4lz0ihcf7vkfchrdcrn45wbs0h40dxm46"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fixedbitset" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0czam11mi80dbyhf4rd4lz0ihcf7vkfchrdcrn45wbs0h40dxm46"))))))
 
 (define-public rust-flame-0.2
   (package
@@ -18383,14 +18561,14 @@ (define-public rust-float-cmp-0.8
     (name "rust-float-cmp")
     (version "0.8.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1i56hnzjn5pmrcm47fwkmfxiihk7wz5vvcgpb0kpfhzkqi57y9p1"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1i56hnzjn5pmrcm47fwkmfxiihk7wz5vvcgpb0kpfhzkqi57y9p1"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs (("rust-num-traits" ,rust-num-traits-0.2))))
@@ -18406,14 +18584,14 @@ (define-public rust-float-cmp-0.6
     (name "rust-float-cmp")
     (version "0.6.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0zb1lv3ga18vsnpjjdg87yazbzvmfwwllj3aiid8660rp3qw8qns"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0zb1lv3ga18vsnpjjdg87yazbzvmfwwllj3aiid8660rp3qw8qns"))))))
 
 (define-public rust-float-cmp-0.5
   (package
@@ -18421,14 +18599,14 @@ (define-public rust-float-cmp-0.5
     (name "rust-float-cmp")
     (version "0.5.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "03hmx3n48hjm0x1ig84n1j87kzp75lzr6cj1sgi6a6pykgn4n8km"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "03hmx3n48hjm0x1ig84n1j87kzp75lzr6cj1sgi6a6pykgn4n8km"))))))
 
 (define-public rust-float-cmp-0.4
   (package
@@ -18451,14 +18629,14 @@ (define-public rust-float-cmp-0.3
     (name "rust-float-cmp")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "float-cmp" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1c0hmj46xma5aysz0qb49padhc26aw875whx6q6rglsj5dqpds1b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "float-cmp" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1c0hmj46xma5aysz0qb49padhc26aw875whx6q6rglsj5dqpds1b"))))
     (arguments
      `(#:cargo-inputs (("rust-num" ,rust-num-0.1))))))
 
@@ -18613,13 +18791,13 @@ (define-public rust-fnv-1
     (name "rust-fnv")
     (version "1.0.6")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fnv" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1ww56bi1r5b8id3ns9j3qxbi7w5h005rzhiryy0zi9h97raqbb9g"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fnv" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1ww56bi1r5b8id3ns9j3qxbi7w5h005rzhiryy0zi9h97raqbb9g"))))
     (build-system cargo-build-system)
     (home-page "https://github.com/servo/rust-fnv")
     (synopsis "Implementation of the Fowler-Noll-Vo hash function")
@@ -18633,14 +18811,14 @@ (define-public rust-font-kit-0.4
     (name "rust-font-kit")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "font-kit" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1fmg1jmqdvsjxjbyz8chpx1mhp544mwq128ns1shhrha5a6zzdqp"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "font-kit" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1fmg1jmqdvsjxjbyz8chpx1mhp544mwq128ns1shhrha5a6zzdqp"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -18779,13 +18957,13 @@ (define-public rust-foreign-types-shared-0.2
     (name "rust-foreign-types-shared")
     (version "0.2.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "foreign-types-shared" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "0kanxlif1vp0ffh2r9l610jqbkmb3183yqykxq1z5w1vay2rn7y6"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "foreign-types-shared" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "0kanxlif1vp0ffh2r9l610jqbkmb3183yqykxq1z5w1vay2rn7y6"))))))
 
 (define-public rust-foreign-types-shared-0.1
   (package
@@ -18850,28 +19028,28 @@ (define-public rust-fragile-0.3
     (name "rust-fragile")
     (version "0.3.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fragile" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1yf2hmkw52x2dva3c9km1x8c2z5kwby7qqn8kz5ms3gs480i9y05"))))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fragile" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1yf2hmkw52x2dva3c9km1x8c2z5kwby7qqn8kz5ms3gs480i9y05"))))))
 
 (define-public rust-freetype-0.4
   (package
     (name "rust-freetype")
     (version "0.4.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "freetype" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0a70x03n68997f08bi3n47q9wyi3pv5s9v4rjc79sihb84mnp4hi"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "freetype" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0a70x03n68997f08bi3n47q9wyi3pv5s9v4rjc79sihb84mnp4hi"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19004,6 +19182,30 @@ (define-public rust-fs2-0.4
 duplication.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-fsio-0.3
+  (package
+    (name "rust-fsio")
+    (version "0.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsio" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1svpcdpf5vfdjwvhqlqvw8pp2c39w1yzabsn9fjcg55gxwkpis09"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-dunce" ,rust-dunce-1)
+        ("rust-rand" ,rust-rand-0.8)
+        ("rust-users" ,rust-users-0.11))
+       #:cargo-development-inputs
+       (("rust-doc-comment" ,rust-doc-comment-0.3))))
+    (home-page "http://github.com/sagiegurari/fsio")
+    (synopsis "File System and Path utility functions.")
+    (description "File System and Path utility functions.")
+    (license license:asl2.0)))
+
 (define-public rust-fs-extra-1
   (package
     (name "rust-fs-extra")
@@ -19087,23 +19289,23 @@ (define-public rust-fsevent-0.4
     (name "rust-fsevent")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fsevent" version))
-        (file-name
-          (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32
-            "1djxnc2fmv265xqf1iyfz56smh13v9r1p0w9125wjg6k3fyx3dss"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsevent" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1djxnc2fmv265xqf1iyfz56smh13v9r1p0w9125wjg6k3fyx3dss"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t     ; only available on macOS
        #:cargo-inputs
-        (("rust-bitflags" ,rust-bitflags-1)
-         ("rust-fsevent-sys" ,rust-fsevent-sys-2))
-        #:cargo-development-inputs
-        (("rust-tempdir" ,rust-tempdir-0.3)
-         ("rust-time" ,rust-time-0.1))))))
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-fsevent-sys" ,rust-fsevent-sys-2))
+       #:cargo-development-inputs
+       (("rust-tempdir" ,rust-tempdir-0.3)
+        ("rust-time" ,rust-time-0.1))))))
 
 (define-public rust-fsevent-sys-3
   (package
@@ -19135,14 +19337,14 @@ (define-public rust-fsevent-sys-2
     (name "rust-fsevent-sys")
     (version "2.0.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fsevent-sys" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "18246vxk7rqn52m0sfrhivxq802i34p2wqqx5zsa0pamjj5086zl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fsevent-sys" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "18246vxk7rqn52m0sfrhivxq802i34p2wqqx5zsa0pamjj5086zl"))))
     (arguments
      `(#:skip-build? #t     ; only available on macOS
        #:cargo-inputs (("rust-libc" ,rust-libc-0.2))))))
@@ -19152,14 +19354,14 @@ (define-public rust-fst-0.4
     (name "rust-fst")
     (version "0.4.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fst" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0ybmdzkknhv1wx6ws86iyixfyzc04l4nm71b9va7953r1m3i6z1z"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fst" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0ybmdzkknhv1wx6ws86iyixfyzc04l4nm71b9va7953r1m3i6z1z"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19177,13 +19379,13 @@ (define-public rust-fuchsia-cprng-0.1
     (name "rust-fuchsia-cprng")
     (version "0.1.1")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-cprng" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1fnkqrbz7ixxzsb04bsz9p0zzazanma8znfdqjvh39n14vapfvx0"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-cprng" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1fnkqrbz7ixxzsb04bsz9p0zzazanma8znfdqjvh39n14vapfvx0"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page
@@ -19198,13 +19400,13 @@ (define-public rust-fuchsia-zircon-0.3
     (name "rust-fuchsia-zircon")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-zircon" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "10jxc5ks1x06gpd0xg51kcjrxr35nj6qhx2zlc5n7bmskv3675rf"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-zircon" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "10jxc5ks1x06gpd0xg51kcjrxr35nj6qhx2zlc5n7bmskv3675rf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
@@ -19221,13 +19423,13 @@ (define-public rust-fuchsia-zircon-sys-0.3
     (name "rust-fuchsia-zircon-sys")
     (version "0.3.3")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuchsia-zircon-sys" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "19zp2085qsyq2bh1gvcxq1lb8w6v6jj9kbdkhpdjrl95fypakjix"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuchsia-zircon-sys" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "19zp2085qsyq2bh1gvcxq1lb8w6v6jj9kbdkhpdjrl95fypakjix"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://fuchsia.googlesource.com/garnet/")
@@ -19240,14 +19442,14 @@ (define-public rust-funty-1
     (name "rust-funty")
     (version "1.1.0")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "funty" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "19wx3p3jmv863y0mjb56sr4qf1kvqhl3fsyslkd92zli0p8lrlzy"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "funty" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "19wx3p3jmv863y0mjb56sr4qf1kvqhl3fsyslkd92zli0p8lrlzy"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-development-inputs
@@ -19320,13 +19522,13 @@ (define-public rust-futures-0.1
     (name "rust-futures")
     (version "0.1.29")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1vq3cw37knnd0afw3rcjzh71i2l01v5m4ysinrrqdvnn2ql0z60v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1vq3cw37knnd0afw3rcjzh71i2l01v5m4ysinrrqdvnn2ql0z60v"))))
     (build-system cargo-build-system)
     (arguments '(#:skip-build? #t))
     (home-page "https://github.com/rust-lang/futures-rs")
@@ -19443,13 +19645,13 @@ (define-public rust-futures-core-preview-0.3
     (name "rust-futures-core-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-core-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "02n66jkjhpy210dv24pz0j30lvyin5kzlrb50p1j7x8yzdin4nxk"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-core-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "02n66jkjhpy210dv24pz0j30lvyin5kzlrb50p1j7x8yzdin4nxk"))))
     (build-system cargo-build-system)
     (arguments '(#:tests? #f))
     (home-page "https://rust-lang-nursery.github.io/futures-rs/")
@@ -19464,13 +19666,13 @@ (define-public rust-futures-cpupool-0.1
     (name "rust-futures-cpupool")
     (version "0.1.8")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-cpupool" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1r32456gpblzfvnkf60545v8acqk7gh5zhyhi1jn669k9gicv45b"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-cpupool" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1r32456gpblzfvnkf60545v8acqk7gh5zhyhi1jn669k9gicv45b"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -19598,13 +19800,13 @@ (define-public rust-futures-io-preview-0.3
     (name "rust-futures-io-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-io-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1npb04xbn2gw5rjllz88cb88fql44xxfkgcidjjj26fva3j4m4gl"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-io-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1npb04xbn2gw5rjllz88cb88fql44xxfkgcidjjj26fva3j4m4gl"))))
     (build-system cargo-build-system)
     (home-page "https://rust-lang-nursery.github.io/futures-rs/")
     (synopsis "Async read and write traits for the futures library")
@@ -19722,14 +19924,14 @@ (define-public rust-futures-preview-0.3
     (name "rust-futures-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-preview" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "0vnp63aicm9vgapn4hm45ag9lrsf9f3bma3mzz3abbb708mcw79v"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-preview" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0vnp63aicm9vgapn4hm45ag9lrsf9f3bma3mzz3abbb708mcw79v"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f
@@ -19804,13 +20006,13 @@ (define-public rust-futures-sink-preview-0.3
     (name "rust-futures-sink-preview")
     (version "0.3.0-alpha.19")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "futures-sink-preview" version))
-        (file-name (string-append name "-" version ".crate"))
-        (sha256
-         (base32
-          "1v7y5qvgvl0d6hd9s4k7bd5qrj2gdlrs5yfl22v5pxv9dgpliwc6"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "futures-sink-preview" version))
+       (file-name (string-append name "-" version ".crate"))
+       (sha256
+        (base32
+         "1v7y5qvgvl0d6hd9s4k7bd5qrj2gdlrs5yfl22v5pxv9dgpliwc6"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20029,14 +20231,14 @@ (define-public rust-fuzzy-matcher-0.3
     (name "rust-fuzzy-matcher")
     (version "0.3.7")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "fuzzy-matcher" version))
-        (file-name
-         (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "153csv8rsk2vxagb68kpmiknvdd3bzqj03x805khckck28rllqal"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "fuzzy-matcher" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "153csv8rsk2vxagb68kpmiknvdd3bzqj03x805khckck28rllqal"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
@@ -20153,13 +20355,13 @@ (define-public rust-gcc-0.3
     (name "rust-gcc")
     (version "0.3.55")
     (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "gcc" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-         (base32
-          "1hng1sajn4r67hndvhjysswz8niayjwvcj42zphpxzhbz89kjpwg"))))
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gcc" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1hng1sajn4r67hndvhjysswz8niayjwvcj42zphpxzhbz89kjpwg"))))
     (build-system cargo-build-system)
     (arguments
      `(#:tests? #f  ; gcc-test folder missing from release tarball.
